Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.contributionitem
Interface IPopupMenuContributionPolicy

public interface IPopupMenuContributionPolicy

A policy interface for popup menu contributions. It inspects a given selection and determines whether the contribution should be applied to the popup menu given that selection or not.

See Also:
  `IContributionItemProvider`, `ContributionItemService`

Method Summary
`boolean` `appliesTo(ISelection selection, IConfigurationElement configuration)` Tests whether the policy applies to the given selection.

Method Detail

### appliesTo

    public boolean appliesTo(ISelection selection,
                             IConfigurationElement configuration)

  Tests whether the policy applies to the given selection.

  Parameters:
    `selection` - The given context of the popup menu
    `configuration` - The policy's configuration (could be used to parse extra params)
  Returns:
    Whether the policy applies to the selection or not

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.